org.apache.lucene.spatial.geometry.shape

## Class Point2D

- java.lang.Object
- - org.apache.lucene.spatial.geometry.shape.Point2D

-     public class Point2D
      extends java.lang.Object

  Point class. This type is mutable.

  NOTE: This API is still in flux and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Point2D()`
    `Point2D(double x, double y)`
    `Point2D(Point2D other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Point2D a)`
    `void` | `add(Vector2D v)`
    `boolean` | `equals(java.lang.Object obj)`
    `double` | `getX()`
    `double` | `getY()`
    `int` | `hashCode()`
    `void` | `set(double x, double y)`
    `void` | `set(Point2D p1)`
    `void` | `set(Vector2D v)`
    `void` | `setX(double x)`
    `void` | `setY(double y)`
    `java.lang.String` | `toString()`
    `double` | `x()`
    `void` | `x(double x)`
    `double` | `y()`
    `void` | `y(double y)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Point2D

          public Point2D(double x,
                         double y)

    - #### Point2D

          public Point2D()

    - #### Point2D

          public Point2D(Point2D other)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getX

          public double getX()

    - #### getY

          public double getY()

    - #### x

          public double x()

    - #### y

          public double y()

    - #### x

          public void x(double x)

    - #### y

          public void y(double y)

    - #### setX

          public void setX(double x)

    - #### setY

          public void setY(double y)

    - #### set

          public void set(double x,
                          double y)

    - #### add

          public void add(Vector2D v)

    - #### set

          public void set(Point2D p1)

    - #### add

          public void add(Point2D a)

    - #### set

          public void set(Vector2D v)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.